Skip to main content
GET
/
project
/
v1
/
customers
List customers
curl --request GET \
  --url https://api-{region}.sesametime.com/project/v1/customers \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "customerName": "<string>",
      "firstName": "<string>",
      "lastName": "<string>",
      "email": "jsmith@example.com",
      "phone": "<string>",
      "description": "<string>",
      "createdAt": "2020-01-01T10:00:00+01:00",
      "updatedAt": "2020-01-01T10:00:00+01:00",
      "deletedAt": "2020-01-01T10:00:00+01:00"
    }
  ],
  "meta": {
    "currentPage": 1,
    "lastPage": 1,
    "total": 1,
    "perPage": 1
  }
}

Authorizations

Authorization
string
header
required

API token obtained from Sesame HR Dashboard > Settings > Integrations > API

Query Parameters

limit
integer
page
integer

Request a specific page

orderBy
string

field1 asc, field2 desc

Response

200 - application/json

Array of objects

data
object[]
meta
object